.\" file MASS/biplot.princomp.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN biplot.princomp
.TL
Biplot for Principal Components
.DN
Produces a biplot (in the strict sense) from the output from `princomp'.
.CS
biplot.princomp(x, choices=1:2, scale=1, pc.biplot=F, ...)
.RA
.AG x
an object of class `"princomp"'.
.OA
.AG choices
length 2 vector specifying the components to plot. Only the default
is a biplot in the strict sense.
.AG scale
The variables are scaled by `lambda ^ scale' and the observations are
scaled by `lambda ^ (1-scale)' where `lambda' are the singular values
as computed by `princomp'. Normally `0 <= scale <= 1', and a warning
will be issued if the specified `scale' is outside this range.
.AG pc.biplot
If true, use what Gabriel (1971) refers to as a "principal component
biplot", with `lambda = 1' and observations scaled up by sqrt(n) and
variables scaled down by sqrt(n).  Then inner products between
variables approximate covariances and distances between observations
approximate Mahalanobis distance.
.AG ...
optional arguments to be passed to `biplot.default'.
.SE
a plot is produced on the current graphics device.
.DT
This is a method for the generic function `biplot'.  There is
considerable confusion over the precise definitions: those of the
original paper, Gabriel (1971), are followed here.  Gabriel and
Odoroff (1990) use the same definitions, but their plots actually
correspond to `pc.biplot = T'.
.SH REFERENCES
Gabriel, K. R. (1971).
The biplot graphical display of matrices with applications to principal
component analysis.
.ul
Biometrika
\fB58\fR 453-467.
.PP
Gabriel, K. R. and Odoroff, C. L. (1990).
Biplots in biomedical research.
.ul
Statistics in Medicine,
\fB9\fP  469-485.
.SA
`biplot', `princomp'.
.KW multivariate
.KW hplot
.WR
