# file MASS/data.q
# copyright (C) 1994-8 W. N. Venables and B. D. Ripley
#
cement <- read.table("cement.dat", header=T)
cpus <- read.table("cpus.dat", sep=",")
forbes <- read.table("forbes.dat", header=T)
hills <- read.table("hills.dat", sep="\t", header=T)
road <- read.table("road.dat", sep="\t", header=T)
Rubber <- read.table("rubber.dat", header=T)
trees <- read.table("trees.dat", header=T)
mammals <- read.table("mammals.dat",sep="\t", header=T)
ships <- read.table("ships.dat", header=T)
mcycle <- read.table("mcycle.dat", header=T)
rock <- read.table("rock.dat")
rotifer <- read.table("rotifer.dat", header=T)
leuk <- read.table("leuk.dat")
gehan <- read.table("gehan.dat")
motors <- read.table("motors.dat", header=T)
painters <- read.table("painters.dat", header=T)
shuttle <- read.table("shuttle.dat", sep=",", header=T)
wtloss <- read.table("wtloss.dat")
cats <- read.table("cats.dat")
quine <- read.table("quine.dat")
oats <- read.table("oats.dat")
immer <- read.table("immer.dat")
steam <- read.table("steam.dat")
stormer <- read.table("stormer.dat")
michelson1 <- read.table("michels.dat")
attach(michelson1)
michelson <- data.frame(Speed, Run=factor(Run), Expt=factor(Expt))
detach("michelson1")
rm(michelson1)
faithful <- read.table("faithful.dat")
galaxies <- scan("galaxies.dat")
birthwt <- read.table("birthwt.dat")
minn38 <- read.table("minn38.dat")
phones <- scan("phones.dat",list(year=0, calls=0))
   phones$calls <- 10*phones$calls
Animals <- animals <- read.table("animals.dat",sep=",", header=T)
crabs <- read.table("crabs.dat", header=T)
survey <- read.table("survey.dat", sep=",", header=T, row.names=1)
coop <- read.table("coop.dat")
Melanoma <- read.table("melanoma.dat")
Aids2 <- read.table("aids2.dat", header=T)
Tlev <- c("hs", "hsid", "id", "het", "haem",  "blood", "mother", "other")
Aids2 <- data.frame(state=c("NSW", "Other", "QLD", "VIC")[Aids2$state],
   sex=Aids2$sex, diag=Aids2$diag, death=Aids2$death, status=Aids2$status,
   T.categ=factor(Tlev[Aids2$T.categ], levels=Tlev), age=Aids2$age)
rm(Tlev)

nottem <- rts(scan("nottem.dat"), start=1920, frequency=12, units="months")
lh <- rts(scan("misc.dat", n=48), units="10mins")
deaths <- rts(scan("misc.dat", skip=4, n=72), start=1974, 
  frequency=12, units="months")
accdeaths <- rts(scan("misc.dat", skip=11, n=72), start=1973, 
  frequency=12, units="months")
mdeaths <- rts(scan("misc.dat", skip=18, n=72), start=1974, 
  frequency=12, units="months")
fdeaths <- rts(scan("misc.dat", skip=25, n=72), start=1974, 
  frequency=12, units="months")

abbey <- scan("misc.dat", skip=32, n=31)
chem <- scan("misc.dat", skip=36, n=24)
newcomb <- scan("misc.dat", skip=39, n=66)
shrimp <- scan("misc.dat", skip=51, n=18)
DDT <- scan("misc.dat", skip=54, n=15)
shoes <- scan("misc.dat",list(A=0, B=0), skip=57, n=20)

drivers <- rts(scan("drivers.dat"), start=1969, frequency=12, units="months")

topo <- read.table("topo.dat", header=T)
shkap <- read.table("shkap.dat", header=T)
npr1 <- read.table("npr.dat")
Rabbit <- read.table("Rabbit.dat")
petrol <- read.table("petrol.dat")
sitka <- scan("Sitka.dat")
Sitka <- data.frame(size = sitka, 
           Time = rep(c(152,174,201,227,258), 79),
           tree = rep(1:79, rep(5, 79)),
           treat = rep(c("ozone", "control"), c(54, 25)*5))
rm(sitka)
sitka <- scan("Sitka89.dat")
Sitka89 <- data.frame(size = sitka, 
           Time = rep(c(469, 496, 528, 556, 579, 613, 639, 674), 79),
           tree = rep(1:79, rep(8, 79)),
           treat = rep(c("ozone", "control"), c(54, 25)*8))
rm(sitka)
Cushings <- read.table("Cushings.dat", header=T, row.names=1)
fgl <- read.table("fglass.dat")
fgl$type <- factor(fgl$type, labels=c("WinF", "WinNF", "Veh",  "Con", "Tabl", "Head"))
fgl$RI <- 1000*fgl$RI - 1518

beav1 <- read.table("beaver1.dat", header=T)
beav2 <- read.table("beaver2.dat", header=T)


menarche <- read.table("menarche.dat", header=T)
tmp <- scan("austres.dat", what=list(num=0,year=0, mon=""))
austres <-rts(tmp$num, start=c(1971,2), freq=4, units="quarters")
rm(tmp)
UScereal <- read.table("UScereal.dat", header=T, sep=",")
biopsy <- read.table("biopsy.dat", sep=",", na.strings="?",header=T)
biopsy$class <- factor(biopsy$class, labels=c("benign", "malignant"))
biopsy$ID <- as.character(biopsy$ID)
gilgais <- read.table("gilgais.dat", header=T, row.names=1)
UScrime <- read.table("UScrime.dat")
Skye <- read.table("Skye.dat", header=T)
GAGurine <- read.table("GAGurine.dat")
snails <- read.table("snails.dat", header=T)
genotype <- read.table("genotype.dat", header=T)
Cars93 <- read.table("Cars93.dat", sep=",", header=T)
Traffic <- read.table("traffic.dat", header=T)
Insurance <- read.table("insur.dat", header=T)
OME <- read.table("OME.dat", header=T)
Boston <- read.table("housing.dat", header=T)
synth.te <- read.table("synth.te", header=T)
synth.tr <- read.table("synth.tr", header=T)
Pima.te <- read.table("pima.te", header=T)
Pima.tr <- read.table("pima.tr", header=T)
Pima.tr2 <- read.table("pima.tr2", header=T)
farms <- read.table("farms.dat", header=T)
waders <- read.table("waders.dat", header=T)
