.\" file MASS/glm.convert.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN glm.convert
.TL
Change a Negative Binomial fit to a GLM fit
.DN
This function modifies an output object from `glm.nb()' to one
that looks like the output from `glm()' with a negative binomial
family.  This allows it to be updated keeping the theta parameter
fixed.
.CS
glm.convert(object)
.RA
.AG object
An object of class `negbin', typically the output from `glm.nb()'.
.RT
An object of class `glm' with negative binomial family.  The theta
parameter is then fixed at its present estimate.
.DT
Convenience function needed to effect some low level changes to the
structure of the fitted model object.
.SA
`glm.nb', `negative.binomial', `glm'
.EX
quine.nb1 <- glm.nb(Days ~ Sex/(Age + Eth*Lrn), data=quine)
quine.nbA <- glm.convert(quine.nb1)
quine.nbB <- update(quine.nb1, . ~ . + Sex:Age:Lrn)
anova(quine.nbA, quine.nbB)
.KW regression
.KW models
.WR
