# file MASS/modified/predict.glm.q based on S-PLUS 3.2 code (C) 1993 StatSci Inc.
# Amended by W. N. Venables and B. D. Ripley as shown.
# Changes (C) 1998  W. N. Venables and B. D. Ripley
# May be used only with a licensed copy of S-PLUS 3.2 or later.
#
predict.glm <-
function(object, newdata, type = c("link", "response", "terms"), se.fit = F, 
        terms = labels(object), dispersion = NULL, ...)
{
  # additional argument dispersion
#
# file MASS/modified/predict.glm.q based on S-PLUS 3.2 code (C) 1993 StatSci Inc.
# Amended by W. N. Venables and B. D. Ripley as shown.
# Changes (C) 1998  W. N. Venables and B. D. Ripley
# May be used only with a licensed copy of S-PLUS 3.2 or later.
#
# NextMethod("predict") changed to eval(next.call, sys.parent()) throughout 
# to avoid modifying predict.lm() which does not take a `dispersion' 
# argument, nor ... (although the generic does).

  next.call <- match.call(expand.dots = F)
  next.call$dispersion <- next.call$"..." <- NULL
  next.call[[1]] <- as.name("predict.lm")  # could be made more OOP!

  type <- match.arg(type)
  if(!se.fit) {
    #No standard errors
    if(missing(newdata))
      switch(type,
             link = object$linear.predictors,
             response = object$fitted,
             terms = eval(next.call, sys.parent()))
    else
      switch(type,
             response = family(object)$inverse(eval(next.call, sys.parent())),
             link = {
               next.call$type <- "response"
               eval(next.call, sys.parent())
             }
             ,
             eval(next.call), sys.parent())
  } else {
    # addition of three lines
    # summary.survreg has no ... argument.
    if(inherits(object, "survreg")) dispersion <- 1.
    if(is.null(dispersion) || dispersion == 0)
      dispersion <- summary(object, dispersion=dispersion)$dispersion
    switch(type,
	   response = {
	     pred <- eval(next.call, sys.parent())
	     famob <- family(object)
	     pred$fit <- famob$inverse(pred$fit)	
             #addition of two lines
	     pred$se.fit <- (pred$se.fit * sqrt(dispersion))/pred$residual.scale
	     pred$residual.scale <- as.vector(sqrt(dispersion))
	     pred$se.fit <- pred$se.fit/abs(famob$deriv(pred$fit))
	     pred
	   }
	   ,
	   link = {
	     next.call$type <- "response"
	     pred <- eval(next.call, sys.parent())
             # addition of two lines
	     pred$se.fit <- (pred$se.fit * sqrt(dispersion))/pred$residual.scale
	     pred$residual.scale <- as.vector(sqrt(dispersion))
	     pred
	   }
	   ,
	   eval(next.call, sys.parent()))
  }
}
