.\" file MASS/write.matrix.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN write.matrix
.TL
Write a Matrix or Data Frame
.DN
Writes a matrix or data frame to a file or the terminal, using column
labels and a layout respecting columns.
.CS
write.matrix(x, file="", sep=" ")
.RA
.AG x
matrix or data frame.
.OA
.AG file
name of output file. The default (`""') is the terminal.
.AG sep
The separator between columns.
.RT
none
.SE
A formatted file is produced, with column headings (if `x' has them)
and columns of data.
.SA
`write.table'
.EX
# The function is  defined as
function(x, file = "", sep = " ")
{
   x <- as.matrix(x)
   p <- ncol(x)
   cat(dimnames(x)[[2]], format(t(x)), file = file, 
       sep = c(rep(sep, p - 1), "\n"))
}
.KW file
.KW print
.WR
