.\" file class/lvq3.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN lvq3
.TL
Learning Vector Quantization 3
.DN
Moves examples in a codebook to better represent the training set.
.CS
lvq3(x, cl, codebk, niter=10*n, alpha=0.03, win=0.3, epsilon=0.1)
.RA
.AG x
a matrix or data frame of examples
.AG cl
a vector or factor of classifications for the examples
.AG codebk
a codebook
.OA
.AG niter
number of iterations
.AG alpha
constant for training
.AG win
a tolerance for the closeness of the two nearest vectors.
.AG epsilon
proportion of move for correct vectors
.RT
A codebook, represented as a list with components `x' and `cl'
giving the examples and classes.
.DT
Selects `niter' examples at random  with replacement, and adjusts the nearest
two examples in the codebook for each.
.SH REFERENCES
Kohonen, T. (1990) The self-organizing map.  
.ul
Proc. IEEE
\fB78\fR, 1464-1480.
.sp
Kohonen, T. (1995)
.ul
Self-Organizing Maps.
Springer, Berlin.
.SA
`lvqinit', `lvq1', `olvq1', `lvq2', `lvqtest'
.EX
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
cd <- lvqinit(train, cl, 10)
lvqtest(cd, train)
cd0 <- olvq1(train, cl, cd)
lvqtest(cd0, train)
cd3 <- lvq3(train, cl, cd0)
lvqtest(cd3, train)
.KW classif
.WR
