.\" file class/olvq1.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN olvq1
.TL
Optimized Learning Vector Quantization 1
.DN
Moves examples in a codebook to better represent the training set.
.CS
olvq1(x, cl, codebk, niter=10 * n, alpha=0.3)
.RA
.AG x
a matrix or data frame of examples
.AG cl
a vector or factor of classifications for the examples
.AG codebk
a codebook
.OA
.AG niter
number of iterations
.AG alpha
constant for training
.RT
A codebook, represented as a list with components `x' and `cl' giving
the examples and classes.
.DT
Selects `niter' examples at random with replacement, and adjusts the
nearest example in the codebook for each.
.SH REFERENCES
Kohonen, T. (1990) The self-organizing map.  
.ul
Proc. IEEE
\fB78\fR, 1464-1480.
.sp
Kohonen, T. (1995)
.ul
Self-Organizing Maps.
Springer, Berlin.
.SA
`lvqinit', `lvqtest', `lvq1', `lvq2', `lvq3'
.EX
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
cd <- lvqinit(train, cl, 10)
lvqtest(cd, train)
cd1 <- olvq1(train, cl, cd)
lvqtest(cd1, train)
.KW classif
.WR
