.\" file nnet/predict.nnet.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN predict.nnet
.TL
Predict New Examples by a Trained Neural Net
.DN
Predict new examples by a trained neural net.
.CS
predict.nnet(object, x, type=c("raw","class"))
.RA
.AG object
an object of class `nnet' as  returned by `nnet'.
.AG x
matrix or data frame of test examples. A vector is considered to be
a row vector comprising a single case.
.RT type
Type of output
.RT
If `type="raw"', the matrix of values returned by the trained network;
.br
if `type="class"', the corresponding class (which is probably only
useful if the net was generated by `nnet.formula').
.DT
.ME predict nnet
.SA
`nnet', `which.is.max'
.EX
# use half the iris data
ir <- rbind(iris[,,1],iris[,,2],iris[,,3])
targets <- class.ind( c(rep("s", 50), rep("c", 50), rep("v", 50)) )
samp <- c(sample(1:50,25), sample(51:100,25), sample(101:150,25))
ir1 <- nnet(ir[samp,], targets[samp,],size=2, rang=0.1,
            decay=5e-4, maxit=200)
test.cl <- function(true, pred){
        true <- max.col(true)
        cres <- max.col(pred)
        table(true, cres)
}
test.cl(targets[-samp,], predict(ir1, ir[-samp,]))

# or
ird <- data.frame(rbind(iris[,,1], iris[,,2], iris[,,3]),
	species=c(rep("s",50), rep("c", 50), rep("v", 50)))
ir.nn2 <- nnet(species ~ ., data=ird, subset=samp, size=2, rang=0.1, 
            decay=5e-4, maxit=200)
table(ird$species[-samp], predict(ir.nn2, ird[-samp,], type="class"))
.KW neural
.WR
