.\" file spatial/variogram.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN variogram
.TL
Compute Spatial Variogram
.DN
Compute spatial (semi-)variogram of spatial data or residuals.
.CS
variogram(krig, nint, plotit=T, ...)
.RA
.AG krig
trend-surface or kriging object with columns `x', `y', and `z'
.AG nint
number of bins used
.OA
.AG plotit
logical for plotting
.AG ...
parameters for the plot
.RT
`x' and `y' coordinates of the variogram and `cnt', the number of pairs
averaged per bin.
.SE
Plots the variogram if `plotit = T'
.DT
Divides range of data into `nint' bins, and computes the average squared
difference for pairs with separation in each bin.  Returns results for
bins with 6 or more pairs.
.SA
`correlogram'
.EX
topo.kr <- surf.ls(2, topo)
variogram(topo.kr, 25)
.KW spatial
.WR
