options(width=65, echo=T, digits=5, length=9999)

assign(where=0, "lib.loc", "..")
library(MASS, first=T)
library(nnet)
library(spatial)
library(class)
library(treefix, first=T)


# test MASS.o

attach(faithful)
c( ucv(eruptions),  bcv(eruptions) )
width.SJ(eruptions)
detach()

ir <- rbind(iris[,,1], iris[,,2], iris[,,3])
ir.sam <- sammon(dist(ir[-143,]))
ir.iso <- isoMDS(dist(ir[-143,]))

# test nnet.o

attach(rock)
area1 <- area/10000; peri1 <- peri/10000
rock.x <- cbind(area1, peri1, shape)
set.seed(5555)
rock.nn <- nnet(rock.x, log(perm), size=3, decay=1e-3, 
      linout=T,skip=T,  maxit=1000)
summary(rock.nn)
sum((log(perm) - predict(rock.nn, rock.x))^2)
eigen(nnet.Hess(rock.nn, rock.x, log(perm)), T)$values
detach()

# test kr.o

topo.gls <- surf.gls(2, expcov, topo, d=0.7)
print(trmat(topo.gls, 0, 6.5, 0, 6.5, 8))
print(prmat(topo.gls, 0, 6.5, 0, 6.5, 8))
print(semat(topo.gls, 0, 6.5, 0, 6.5, 8))

# test pps.o

pines <- ppinit("pines.dat")
Kfn(pines,5)
pplik(pines, 0.7)
pplik(pines, 0.1)
pplik(pines, 5)

# test treefix.o

attach(birthwt)
race <- factor(race, labels=c("white", "black", "other"))
ptd <- factor(ptl > 0)
ftv <- factor(ftv)
levels(ftv)[-(1:2)] <- "2+"
bwt <- data.frame(low=factor(low), age, lwt, race,
    smoke=(smoke>0), ptd, ht=(ht>0), ui=(ui>0), ftv)
detach("birthwt"); rm(race, ptd, ftv)
bwt.tr <- tree(low ~ ., bwt)
bwt.tr1 <- prune.tree(bwt.tr, k=2)
prune.misclass(bwt.tr1)
set.seed(7)
cv.tree(bwt.tr,, prune.misclass)

# test class.o

set.seed(123)
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
tmp <- knn(train, test, cl, k=3, prob=T)
tmp
attributes(tmp)
cd <- lvqinit(train, cl, 10)
print(cd)
lvqtest(cd, train)
cd0 <- olvq1(train, cl, cd)
print(cd0)
lvqtest(cd0, train)
cd1 <- lvq1(train, cl, cd0)
print(cd1)
lvqtest(cd1, train)
cd3 <- lvq3(train, cl, cd1)
print(cd3)
lvqtest(cd3, train)

# quit
q()
