.\" file treefix/plot.tree.sequence.d copyright (C) 1994-8 B. D. Ripley
.\"
.BG
.FN plot.tree.sequence
.TL
Plot a Tree Sequence
.DN
Allows the user to plot a tree sequence.
.CS
plot.tree.sequence(x,  ..., order=c("increasing", "decreasing"))
.RA
.AG x
object of class `tree.sequence'.
This is assumed to be the result of some function that produces
an object with the same named components (`size', `deviance', `k')
as that returned by `prune.tree()' and `shrink.tree()'.
.OA
.AG order
of `size' on the plot.  Use `"decreasing"' for the natural ordering of `k'
and the amount of pruning. Only the first character is needed.
.SE
plots deviance or number of misclassifications (or total loss)
versus size for a sequence of trees.
.DT
.ME plot tree.sequence
.SA
`plot.tree'.
.EX
zp <- prune.tree(z)
plot(zp, type="s")
zs <- shrink.tree(z)
lines(zs$size, zs$dev)
.KW tree
.WR
